beta-update-databases-eqiad times out on wikidatawiki (maintenance update)
Closed, ResolvedPublic

greg created this task.Jun 15 2017, 4:12 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 15 2017, 4:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
greg assigned this task to demon.Jun 15 2017, 5:02 PM
16:34 <+RainbowSp> !log deployment-prep: Disabled database updates for awhile, running it by hand
demon added a comment.Jun 15 2017, 5:05 PM

That's not actually where it's timing out (yay buffered output and multi-threaded updates). It's actually wikidatawiki. But yeah, I'm on it.

demon raised the priority of this task from High to Unbreak Now!.Jun 15 2017, 5:05 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 15 2017, 5:05 PM
demon renamed this task from beta-update-databases-eqiad times out at "index flow_workflow_update_timestamp already" for ukwiki to beta-update-databases-eqiad times out on wikidatawiki (maintenance update).Jun 15 2017, 5:05 PM

Mentioned in SAL (#wikimedia-releng) [2017-06-18T19:26:53Z] <Reedy> Re-enabled beta-update-databases-eqiad as wikidatawiki takes < 10 minutes T168036 T167981

thcipriani closed this task as Resolved.Jun 21 2017, 6:21 PM
thcipriani reassigned this task from demon to Reedy.
thcipriani added subscribers: Reedy, demon, thcipriani.

This is no longer happening afaict and it seems like the main followup is on T168036: rebuildTermSqlIndex.php causing beta-update-databases-eqiad to timeout and abort.

Feel free to reopen, but it looks like @Reedy 's deletion of a lot of wikidata items on beta closes this particular task.

Yeah, beta is fixed, the actual source still needs addressing, as otherwise when it gets a load of items again... It's just gonna break

But I filed tasks about periodic cleanups etc so should address it from the other angle too

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 27 2017, 5:24 PM